### Method

# GLib PathBuf copy

since: 2.76

#### Declaration [src]

    GPathBuf*
    g_path_buf_copy (
      GPathBuf* buf
    )

#### Description [src]

Copies the contents of a path buffer into a new `GPathBuf`.

Available since: 2.76

This method is not directly available to language bindings.

#### Return value

Type: `GPathBuf`

The newly allocated path buffer.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.